# H

## has\_active\_pet

玩家某个宠物正在被激活时才能满足该条件。

```
- id: has_active_pet
  args:
    pet: dragon
```

其中：

* args.pet：宠物id。

## has\_active\_job

玩家某个职业正在被激活时才能满足该条件。

```
- id: has_active_job
  args:
    job: builder
```

其中：

* args.job：职业id。

## has\_ecoitem

玩家背包必须拥有某个 **EcoItems** 的物品才能满足该条件。

```
- id: has_ecoitem
  args:
    item: reaper_scythe
```

其中：

* args.item：物品id。

## has\_item

玩家背包必须拥有某个物品才能满足该条件。

```
- id: has_item
  args:
    item: talismans:archery_2 sparkly
```

其中：

* args.item：物品语法。

## has\_mana

玩家的法力值必须高于某个值才能满足该条件。需要 **AureliumSkills**。

```
- id: has_mana
  args:
    amount: 200
```

其中：

* args.amount：最少的数量。

## has\_permission

玩家必须拥有指定权限节点才能满足该条件。

```
- id: has_permission
  args:
    permission: "ecomc.rank.mvp"
```

其中：

* args.permission：权限节点。

## has\_job\_level

玩家的指定职业的等级必须高于你所设置的值才能满足该条件。

```
- id: has_job_level
  args:
    job: miner
    level: 30
```

其中：

* args.job：职业id。
* args.level：最少等级数。

## has\_pet\_level

玩家的指定宠物的等级必须高于你所设置的值才能满足该条件。

```
- id: has_pet_level
  args:
    pet: black_cat
    level: 30
```

其中：

* args.pet：宠物id。
* args.level：最少等级数。

## has\_potion\_effect

玩家必须拥有指定药水效果才能满足该条件。

```
- id: has_potion_effect
  args:
    effect: confusion
```

其中：

* args.effect：药水效果id。

## has\_reforge

玩家的物品含有指定重铸词条才能满足该条件。

```
- id: has_reforge
  args:
    reforge: shiny
```

其中：

* args.reforge：重铸词条id。

## has\_skill\_level

玩家的指定技能的等级必须高于你所设置的值才能满足该条件。

```
- id: has_skill_level
  args:
    skill: combat
    level: 30
```

其中：

* args.skill：技能id。
* args.level：最少等级数。

## has\_talisman

玩家必须有指定护身符才能满足该条件。

```
- id: has_talisman
  args:
    talisman: attack_speed_2
```

其中：

* args.talisman：护身符id。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/tiao-jian-lie-biao/h.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
